<template>
    <div style="background-color: #FFE0B2" >
        <Navbar/>
        <v-layout pt-6 >
          <v-flex xs3 offset-xs1 >
            <span ><h1><font size="13" color="black">คลังความรู้ใหม่</font></h1></span>
          </v-flex>
          <v-flex xs6 pt-10 >
            <v-progress-linear
            color="black"
            />
          </v-flex>
        </v-layout>
            <!-- ****************************image************************** -->
            <v-layout wrap class="mx-10 pt-5 " justify-center>
              <v-flex xs12 justify-center>
                <v-div >
                  <v-div >
                    <v-img
                      class="mx-auto "
                      height="200"
                      width="200"
                      :src="test+data_s.image"
                    >
                    </v-img>
                  </v-div>
                </v-div>
              </v-flex>
            </v-layout>
            <!-- ****************************text_box************************** -->
            <v-layout>
              <v-flex xs12 justify-center pt-10 pa-12>
                <v-sheet color="rgb(232, 232, 232, 0.5)">
                  <v-flex xs12 mx-5>
                    <span ><font size="6" color="black">{{data_s.title}}</font></span><br>
                    <i class="fa fa-calendar black--text" ></i> &nbsp;
                    <font size="2" color="black">{{convertDate(data_s.date.substring(0,10))}}</font><br><br>
                    <font size="5" color="black"  class="align-center" >Detail  </font>
                      <v-progress-linear
                      color="black"
                      /><br>
                    <font size="4" color="black"  class="align-center"> {{ details.replace(/\\n/g," ") }}</font>
                  </v-flex><br><br><br>
                </v-sheet>
              </v-flex>
            </v-layout>
    </div>
</template>

<script>
import Navbar from '@/components/yuth/navbar_page.vue'
export default {
  data () {
    return {
      datas_date: [],
      test: process.env.VUE_APP_API

    }
  },
  created () {
    this.getDataDate()
  },
  components: {
    Navbar
  },
  methods: {
    async getDataDate () {
      console.log('object')
      try {
        var response = await this.axios.get(process.env.VUE_APP_API + '/api/subsubject/landing_page/news_count_with_upload_date')
        console.log('tee', response.data.data)
        this.datas_date = response.data.data
      } catch (error) {
        console.log(error.message)
      }
    },
    convertDate (date) {
      var month = []
      month = ['มกราคม', 'กุมภาพันธ์', 'มีนาคม', 'เมษายน', 'พฤษภาคม', 'มิถุนายน', 'กรกฎาคม', 'สิงหาคม', 'กันยายน', 'ตุลาคม', 'พฤษจิกายน', 'ธันวาคม']
      var y = date.substr(0, 4)
      var m = date.substr(5, 2)
      var d = date.substr(8, 2)
      var dates = parseInt(d) + '  ' + month[parseInt(m) - 1] + '  ' + (parseInt(y))
      return dates
    }
  },
  computed: {
    title: {
      get () {
        return this.$store.getters.newknowledge.title
      }
    },
    createDate: {
      get () {
        return this.$store.getters.newknowledge.date
      }
    },
    details: {
      get () {
        return this.$store.getters.newknowledge.detail
      }
    },
    data_s: {
      get () {
        return this.$store.getters.newknowledge
      }
    }
  }
}

</script>
